#pragma once
#include <map>
struct Fish_SeniorItemDropCFGData
{
	//编号
	int mID;
	//道具ID
	int mItemId;
	//权重
	int mWeight;
	//炮倍
	std::vector<int> mTurret;
	//掉落数量
	std::vector<int> mDropCount;
};

class Fish_SeniorItemDropCFG
{
public:
private:
	static std::auto_ptr<Fish_SeniorItemDropCFG> msSingleton;
public:
	int GetCount();
	const Fish_SeniorItemDropCFGData* GetData(int ID);
	const std::map<int, Fish_SeniorItemDropCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_SeniorItemDropCFG* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_SeniorItemDropCFGData> mMapData;
};
